GroupMBean (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.catalina.mbeans

## Class GroupMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.GroupMBean

- All Implemented Interfaces:
    `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `javax.management.modelmbean.ModelMBeanNotificationBroadcaster`, `javax.management.NotificationBroadcaster`

      public class GroupMBean
      extends BaseModelMBean

  A ModelMBean implementation for the `org.apache.catalina.Group` component.

  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ManagedBean` | `managed` | The `ManagedBean` information describing this MBean.
    `protected Registry` | `registry` | The configuration information registry for our managed beans.

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupMBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRole​(java.lang.String rolename)` | Add a new `Role` to those this group belongs to.
    `java.lang.String[]` | `getRoles()` |
    `java.lang.String[]` | `getUsers()` |
    `void` | `removeRole​(java.lang.String rolename)` | Remove a `Role` from those this group belongs to.

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### registry

          protected final Registry registry

      The configuration information registry for our managed beans.

    - #### managed

          protected final ManagedBean managed

      The `ManagedBean` information describing this MBean.

  - ### Constructor Detail

    - #### GroupMBean

          public GroupMBean()

  - ### Method Detail

    - #### getRoles

          public java.lang.String[] getRoles()

      Returns:
        the MBean Names of all authorized roles for this group.

    - #### getUsers

          public java.lang.String[] getUsers()

      Returns:
        the MBean Names of all users that are members of this group.

    - #### addRole

          public void addRole​(java.lang.String rolename)

      Add a new `Role` to those this group belongs to.
      Parameters:
        `rolename` - Role name of the new role

    - #### removeRole

          public void removeRole​(java.lang.String rolename)

      Remove a `Role` from those this group belongs to.
      Parameters:
        `rolename` - Role name of the old role